> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Close Workbook Recon Summary



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /admin_api/close_workbooks/recon_summary
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/close_workbooks/recon_summary:
    get:
      tags:
        - close_workbooks_admin
        - quanta-services-api
      summary: Get Close Workbook Recon Summary
      operationId: get_close_workbook_recon_summary
      parameters:
        - name: period_qid
          in: query
          required: true
          schema:
            type: string
            title: Period Qid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloseWorkbookReconSummaryResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CloseWorkbookReconSummaryResponse:
      properties:
        period_qid:
          type: string
          title: Period Qid
        period_end_date:
          type: string
          format: date
          title: Period End Date
        gl_recons:
          $ref: '#/components/schemas/CloseWorkbookGLRecons'
        system_recons:
          $ref: '#/components/schemas/CloseWorkbookSystemRecons'
      type: object
      required:
        - period_qid
        - period_end_date
        - gl_recons
        - system_recons
      title: CloseWorkbookReconSummaryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloseWorkbookGLRecons:
      properties:
        summary:
          $ref: '#/components/schemas/CloseWorkbookGLReconSummary'
        detail_rows:
          items:
            $ref: '#/components/schemas/CloseWorkbookGLReconRow'
          type: array
          title: Detail Rows
        no_source_rows:
          items:
            $ref: '#/components/schemas/CloseWorkbookGLReconRow'
          type: array
          title: No Source Rows
      type: object
      required:
        - summary
        - detail_rows
        - no_source_rows
      title: CloseWorkbookGLRecons
    CloseWorkbookSystemRecons:
      properties:
        summary:
          $ref: '#/components/schemas/CloseWorkbookSystemReconSummary'
        detail_rows:
          items:
            $ref: '#/components/schemas/CloseWorkbookSystemReconRow'
          type: array
          title: Detail Rows
      type: object
      required:
        - summary
        - detail_rows
      title: CloseWorkbookSystemRecons
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CloseWorkbookGLReconSummary:
      properties:
        tied_count:
          type: integer
          title: Tied Count
        sourced_count:
          type: integer
          title: Sourced Count
        variance_count:
          type: integer
          title: Variance Count
        no_source_count:
          type: integer
          title: No Source Count
      type: object
      required:
        - tied_count
        - sourced_count
        - variance_count
        - no_source_count
      title: CloseWorkbookGLReconSummary
    CloseWorkbookGLReconRow:
      properties:
        account_qid:
          type: string
          title: Account Qid
        account_name:
          type: string
          title: Account Name
        state:
          $ref: '#/components/schemas/CloseWorkbookGLReconState'
        gl_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Gl Balance
        source_balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Source Balance
        variance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Variance
        reconciliation_method:
          type: string
          title: Reconciliation Method
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
      type: object
      required:
        - account_qid
        - account_name
        - state
        - gl_balance
        - source_balance
        - variance
        - reconciliation_method
        - note
      title: CloseWorkbookGLReconRow
    CloseWorkbookSystemReconSummary:
      properties:
        passing_count:
          type: integer
          title: Passing Count
        failing_count:
          type: integer
          title: Failing Count
        not_run_count:
          type: integer
          title: Not Run Count
      type: object
      required:
        - passing_count
        - failing_count
        - not_run_count
      title: CloseWorkbookSystemReconSummary
    CloseWorkbookSystemReconRow:
      properties:
        name:
          type: string
          title: Name
        label:
          type: string
          title: Label
        state:
          $ref: '#/components/schemas/CloseWorkbookSystemReconState'
        failing_count:
          type: integer
          title: Failing Count
        total_count:
          type: integer
          title: Total Count
        messages:
          items:
            type: string
          type: array
          title: Messages
        exception:
          type: boolean
          title: Exception
      type: object
      required:
        - name
        - label
        - state
        - failing_count
        - total_count
        - messages
        - exception
      title: CloseWorkbookSystemReconRow
    CloseWorkbookGLReconState:
      type: string
      enum:
        - variance
        - tied
        - no_source
      title: CloseWorkbookGLReconState
    CloseWorkbookSystemReconState:
      type: string
      enum:
        - failing
        - passing
        - not_run
      title: CloseWorkbookSystemReconState
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.